<template>
  <!-- 设备物模型 -->
  <div class="bbsl-common-page">
    <div class="bbsl-table-content" ref="contentPanel">
      <div class="bbsl-btn-content" ref="btnPanel"></div>
      <el-tabs v-model="activeName" type="card" @tab-click="handleClick" :style="{ height: tableMaxHeight + 'px' }">
        <el-tab-pane label="属性定义" name="first" :lazy="true">
          <EquipAttrbuteDefinition v-if="activeName == 'first'" :parameterData="parameters"></EquipAttrbuteDefinition>
        </el-tab-pane>
        <el-tab-pane label="功能定义" name="second" :lazy="true">
          <EquipFunctionDefinition v-if="activeName == 'second'" :parameter="parameters"></EquipFunctionDefinition>
        </el-tab-pane>
        <el-tab-pane label="事件定义" name="third" :lazy="true">
          <EquipEventDefinition v-if="activeName == 'third'" :parameter="parameters"></EquipEventDefinition>
        </el-tab-pane>
      </el-tabs>
    </div>
  </div>
</template>

<script>
import EquipAttrbuteDefinition from '@/views/Device/deviceManage/components/modle/EquipAttrbuteDefinition.vue'
import EquipFunctionDefinition from '@/views/Device/deviceManage/components/modle/EquipFunctionDefinition.vue'
import EquipEventDefinition from '@/views/Device/deviceManage/components/modle/EquipEventDefinition.vue'

import { TableMixin } from '@/mixins/tableMixin'

export default {
  props: {
    parameter: {
      type: Object,
      default: function () {
        return
      }
    }
  },
  components: {
    EquipEventDefinition,
    EquipFunctionDefinition,
    EquipAttrbuteDefinition
  },
  mixins: [TableMixin],
  data() {
    return {
      activeName: 'first',
      parameters: {}
    }
  },
  created() {
    this.parameters = this.parameter
  },
  methods: {
    handleClick(tab, event) {
    },
    loadData() {
    }
  }
}
</script>

<style lang="scss" scoped>
.bbsl-table-content {
  ::v-deep .el-tabs__content {
    height: calc(100% + 30px);
    overflow-y: auto;
    overflow-x: hidden;
  }
}

::v-deep .el-tab-pane {
  height: 100% !important;
}

::v-deep .bbsl-table-content {
  box-shadow: 0px 0px 0 0;
  margin-top: 0px;
  padding: 0px;
}

.bbsl-table-content>.bbsl-btn-content {
  margin-bottom: 0;
}
</style>
